Changeset 31153 for gs2-extensions

Show
Ignore:
Timestamp:
25.11.2016 19:14:27 (3 years ago)
Author:
ak19
Message:

Experimenting: Adding in new package libxslt, to overcome that GS2 nightly binaries on Mac Mountain Lion fail to build. The error happens at the yaz-client stage, where a libxslt (dynamically linked lib note, not static unlike our gnome-lib packages) is found on the system, but overwrites all the static library dependencies needed by libxml which a static libxslt would have needed too. This results in the libxml dependency list being incomplete (being truncated to system dlls) and compilation failing.

Location:
gs2-extensions/gnome-lib/trunk/src/packages
Files:
2 added
1 modified

Legend:

Unmodified
Added
Removed
  • gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE.sh

    r30862 r31153  
    55# The standard list of packages 
    66# For Mac Yosemite we found that PKG-CONFIG is dependent on GLIB, so we've moved GLIB ahead of PKG-CONFIG in the list 
    7 pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE XMLPARSER INTLTOOL GETTEXT GLIB PKG-CONFIG LIBXML LIBFFI LIBGSF" 
     7pkglist="LIBZ LIBBZ2 EXPAT LIBPNG READLINE XMLPARSER INTLTOOL GETTEXT GLIB PKG-CONFIG LIBXSLT LIBXML LIBFFI LIBGSF" 
    88 
    99# libiconv was found to be necessary on the latest DL mac (2013)